Dpkg::Build::Info(3perl)

NAME
Dpkg::Build::Info - handle build information

DESCRIPTION
The Dpkg::Build::Info module provides functions to handle the build information.

FUNCTIONS

@envvars = get_build_env_allowed()
    Get an array with the allowed list of environment variables that can affect the build, but are still not privacy revealing.

@envvars = get_build_env_whitelist()
    This is a deprecated alias for get_build_env_allowed().

CHANGES

  Version 1.01 (dpkg 1.20.1)
New function: get_build_env_allowed().

Deprecated function: get_build_env_whitelist().

  Version 1.00 (dpkg 1.18.14)
Mark the module as public.